package cn.axzo.msg.center.message.domain.dto;

/**
 * @author syl
 * @date 2023/12/29
 */
public class GroupTreeNodeHolder {

    private static final ThreadLocal<MessageGroupTreeNodeDto> nodeThreadLocal = new ThreadLocal<>();

    public static void setNode(MessageGroupTreeNodeDto node) {
        nodeThreadLocal.set(node);
    }

    public static MessageGroupTreeNodeDto getNode() {
        return nodeThreadLocal.get();
    }

    public static void removeNode() {
        nodeThreadLocal.remove();
    }
}
